# Suppliers

Use this endpoint to fetch a list of car rental suppliers. You can use a supplier ID (or an array of them), to retrieve specific details. Alternatively, if you do not add any ID in the request, the response will include all suppliers.

Endpoint: POST /cars/suppliers
Version: 3.1
Security: BearerAuth

## Header parameters:

  - `X-Affiliate-Id` (integer, required)
    Include here your Affiliate identifier number

## Request fields (application/json):

  - `maximum_results` (integer)
    The maximum number of results to return.

  - `page` (string)
    Pagination token used to retrieve the next page of results. Obtained from next_page.

  - `suppliers` (array)
    Defines the suppliers that should be returned. Without it all suppliers will be returned

## Response 200 fields (application/json):

  - `request_id` (string)
    Uniquely identifies the request. Please provide this identifier when contacting support.

  - `data` (array)

  - `data.id` (integer)
    Uniquely identifies a vehicle supplier. The full list can be obtained by calling /cars/suppliers.

  - `data.logo` (string)
    Supplier logo image URL.

  - `data.name` (string)
    Brand name of the vehicle supplier.

  - `metadata` (object)
    Metadata about the request.

  - `metadata.next_page` (string,null)
    Indicates that more results are available. Use this pagination token to retrieve the next page of results (via parameter page).

  - `metadata.total_results` (integer)
    The total number of results available.


